HOME > ダウンロード > 統合開発環境 > システム要件

統合開発環境CDE システム要件

統合開発環境統合開発環境 CDEをインストールする前に、以下のEclipseのシステム要件をご確認ください。
統合開発環境 CDEのシステム要件は、一般的なEclipseの環境が求めるシステム要件と、以下Curl IDEのシステム要件が必要となります。

統合開発環境 CDE V8.0.7001
Eclipseのバージョン
  • 3.7.2, 3.8.2
  • 4.2.2, 4.3.2

統合開発環境 CDEでテストされ、サポートされているEclipseのバージョンとなります。

注意:

  • CDEは64bitのEclipseをサポートしない為、64bitのOSをご利用時でも32bitのJavaとEclipseをご利用ください。
JVM (Java Virtual Machine) -Sun / Oracle's JDK 1.7+ 推奨

注意:

統合開発環境 CDEでテストされ、サポートされているJavaのバージョンとなります。

Javaの(6u45)アップデート適用によってCDEが動かなくなる問題について

CPU Pentium® 1 GHz 以上 (推奨 Pentium® 2 GHz以上が推奨されます。)
メモリ 1 GB RAM (推奨 2GB以上)
必要最小解像度 1024 x 768
Eclipseのシステム要件をご確認ください。
統合開発環境 CDEのシステム要件は、一般的なEclipseの環境が求めるシステム要件と、以下Curl IDEのシステム要件が必要となります。

Curl IDE システム要件

Windows
日本語OS
  • Windows® Vista SP2 (32bit)
  • Windows® 7 SP1 (32bit, 64bit)
  • Windows® 8.1 (32bit, 64bit)
  • Windows® 10 (32bit, 64bit)

注意:

64bit版 Windows® の場合、Curl IDE はWOW経由で稼働します。

推奨ブラウザ
  • Microsoft® Internet Explorer (IE) 9.0( Windows® Vista SP2 (32bit)に限り)
  • Microsoft® Internet Explorer (IE) 11.0 デスクトップ版 (IE11.0 Modern UI版はサポートされません。)
  • Firefox 44
  • Firefox 38 ESR
CPU Pentium® 800 MHz 以上
メモリ 512 MB RAM 以上
ハードディスク 140 MB 以上のHDD空き容量

注意: インストール (Windows) 時に問題が発生した場合、インストール注意事項 を参照してください。

Linux版 Curl IDE V8.0.1007
日本語OS
  • Ubuntu 14.04 LTS (32bit)
  • CentOS 6.7 (32bit)
推奨ブラウザ
  • Firefox 44
  • Firefox 38 ESR
CPU Pentium® 1 GHz 以上 (推奨 Pentium® 2 GHz以上が推奨されます。)
メモリ 512 MB RAM (2 GB 以上が推奨されます。)
ハードディスク 172 MB 以上のHDD空き容量(RTEと IDEの合計になります。)
推奨ウィンドウマネージャ
    Ubuntu 14.04 LTS:
  • GNOME 3.4
  • KDE 4.11.11
  • UNITY 7.2.6
    CentOS 6.7:
  • GNOME 2.28

注意: インストール (Linux) 時に問題が発生した場合、インストール注意事項 を参照してください。